#
# spec file for package pybugz
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pybugz
Version:        0.12.1
Release:        1.2
Summary:        Python Bugzilla Interface
License:        GPL-2.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://www.liquidx.net/pybugz
Source0:        https://github.com/williamh/pybugz/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Recommends:     bash-completion
Provides:       %{name}-bash-completion = %{version}
Obsoletes:      %{name}-bash-completion < %{version}
Provides:       %{name}-zsh-completion = %{version}
Obsoletes:      %{name}-zsh-completion < %{version}
BuildArch:      noarch

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux
developers and contributors when dealing with bugs using Bugzilla. By
avoiding the clunky web interface, the user quickly search, isolate and
contribute to the project very quickly. Developers alike can easily extract
attachments and close bugs all from the comfort of the command line.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -D -m 0644  contrib/bash-completion %{buildroot}%{_datadir}/bash-completion/completions/bugz
install -D -m 0644  contrib/zsh-completion  %{buildroot}%{_datadir}/zsh/site-functions/_bugz
install -d -m 0755  %{buildroot}%{_sysconfdir}/pybugz.d

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/bugz
%dir %{_sysconfdir}/pybugz.d
%{python3_sitelib}/bugz
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info
%{_mandir}/man1/bugz.1%{ext_man}
%{_mandir}/man5/pybugz.d.5%{ext_man}
%dir %{_datadir}/pybugz.d
%{_datadir}/pybugz.d/busybox.conf
%{_datadir}/pybugz.d/default.conf
%{_datadir}/pybugz.d/freebsd.conf
%{_datadir}/pybugz.d/freedesktop.conf
%{_datadir}/pybugz.d/gentoo.conf
%{_datadir}/pybugz.d/gnome.conf
%{_datadir}/pybugz.d/kernel.conf
%{_datadir}/pybugz.d/libav.conf
%{_datadir}/pybugz.d/mozilla.conf
%{_datadir}/pybugz.d/redhat.conf
%{_datadir}/bash-completion
%{_datadir}/zsh

%changelog
* Thu Mar 31 2016 mpluskal@suse.com
- Update to 0.12.1
  * no upstream changelog provided
- Merge bash and zsh completions to main package
- Spec file cleanups
* Sat Nov  8 2014 mpluskal@suse.com
-   Repackage from home:bhwachter:desktop/pybugz
